Bug 1251516 - traceback on removing an import cert from 'my subs in gui'
Summary: traceback on removing an import cert from 'my subs in gui'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.2
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-07 14:44 UTC by Adrian Likins
Modified: 2016-11-03 20:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:26:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Description Adrian Likins 2015-08-07 14:44:06 UTC
Description of problem:
subscription-manager import --cert importable_cert.pem

start 'subscription-manager-gui', go to 'my subs', select
the subscription, and click the 'remove' button, then yes to confirm dialog,
then:

[subscription-manager (master u=)]$ sudo PYTHONPATH=src/ bin/subscription-manager-gui 
Traceback (most recent call last):
  File "/home/adrian/src/subscription-manager/src/subscription_manager/gui/mysubstab.py", line 153, in _on_unsubscribe_prompt_response
    self.backend.entcertlib.delete([serial])
AttributeError: 'Backend' object has no attribute 'entcertlib'


Version-Release number of selected component (if applicable):
upstream github master a7a6165b57da7c6014e7c8b22dd363a6ffdda3c4

Comment 1 John Sefler 2015-09-25 16:35:14 UTC
deferring to rhel-7.3.0 due to schedule and severity

Comment 3 William Poteat 2016-07-22 11:59:50 UTC
PR up at https://github.com/candlepin/subscription-manager/pull/1454

Comment 4 William Poteat 2016-08-05 13:50:46 UTC
master commit 026fc8677cb974a36646b199f2fa2aed24167b7a

Comment 6 Shwetha Kallesh 2016-08-10 09:27:46 UTC
Do not see any trace back backend while removing a imported cert

[root@dhcp35-77 ~]# subscription-manager version
server type: This system is currently not registered.
subscription management server: 0.9.51.15-1
subscription management rules: 5.15.1
subscription-manager: 1.17.10-1.el7
python-rhsm: 1.17.6-1.el7

[root@dhcp35-77 ~]# subscription-manager register --auto-attach
Registering to: subscription.rhn.stage.redhat.com:443/subscription
Username: qa@redhat.com
Password: 
The system has been registered with ID: da53273e-a0f9-468a-a032-28940197bb6e 

Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Server
Status:       Subscribed

Product Name: Red Hat Enterprise Linux Server - Extended Update Support
Status:       Subscribed

[root@dhcp35-77 ~]# cat /etc/pki/entitlement/1734063576043498531.pem >> cert.pem
[root@dhcp35-77 ~]# cat /etc/pki/entitlement/1734063576043498531-key.pem >> cert.pem
[root@dhcp35-77 ~]# subscription-manager import --cert /root/cert.pem
Error: You may not import certificates into a system that is registered to a subscription management service.
[root@dhcp35-77 ~]# subscription-manager clean
All local data removed
[root@dhcp35-77 ~]# subscription-manager import --cert /root/cert.pem
Successfully imported certificate cert.pem
[root@dhcp35-77 ~]# 

[root@dhcp35-77 ~]# subscription-manager-gui
[root@dhcp35-77 ~]#

Comment 8 errata-xmlrpc 2016-11-03 20:26:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.